### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.util

# Interface SmartTypes

@SASScope("ALL") @BinaryCompatibilityOnly public interface SmartTypes

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PREFIX_EMBEDDED`
  `static final String`
  `SUBTYPE_SEPARATOR`
  `static final String`
  `TYPE_ABSTRACTPROPERTY`
  `static final String`
  `TYPE_ACCESSCONTROLENTRY`
  `static final String`
  `TYPE_ACT`
  `static final String`
  `TYPE_ACTION`
  `static final String`
  `TYPE_ANALYTICTABLE`
  `static final String`
  `TYPE_APPLICATION`
  `static final String`
  `TYPE_APPLICATIONSERVER`
  `static final String`
  `TYPE_ASSOCIATIONPROPERTY`
  `static final String`
  `TYPE_ATTRIBUTEPROPERTY`
  `static final String`
  `TYPE_AUTHENTICATIONDOMAIN`
  `static final String`
  `TYPE_BOOKMARK`
  `static final String`
  `TYPE_BURSTDEFINITION`
  `static final String`
  `TYPE_CALCULATEDMEASURE`
  `static final String`
  `TYPE_CHANNEL`
  `static final String`
  `TYPE_CLASSIFIER`
  `static final String`
  `TYPE_COLUMN`
  `static final String`
  `TYPE_COLUMN_HIERARCHY`
  `static final String`
  `TYPE_COMCONNECTION`
  `static final String`
  `TYPE_CONDITION`
  `static final String`
  `TYPE_CONDITIONACTIONSET`
  `static final String`
  `TYPE_CONFIGURATIONTEXTSTORE`
  `static final String`
  `TYPE_CONNECTION`
  `static final String`
  `TYPE_CONNECTSERVER`
  `static final String`
  `TYPE_CONTENT`
  `static final String`
  `TYPE_CONTENTSUBSCRIBER`
  `static final String`
  `TYPE_CUBE`
  `static final String`
  `TYPE_DATABASECATALOG`
  `static final String`
  `TYPE_DATABASESCHEMA`
  `static final String`
  `TYPE_DATAEXPLORATION`
  `static final String`
  `TYPE_DATATABLE`
  `static final String`
  `TYPE_DEPLOYEDDATAPACKAGE`
  `static final String`
  `TYPE_DEPLOYEDFLOW`
  `static final String`
  `TYPE_DEPLOYEDJOB`
  `static final String`
  `TYPE_DIMENSION`
  `static final String`
  `TYPE_DIRECTIVE_DL`
  `static final String`
  `TYPE_DIRECTORY`
  `static final String`
  `TYPE_DOCUMENT`
  `static final String`
  `TYPE_ESRIMAPSERVER`
  Deprecated.
  Use SmartTypes.TYPE_SERVER_ESRIMAP.
  `static final String`
  `TYPE_EVENT`
  `static final String`
  `TYPE_EVENTSUBSCRIBER`
  `static final String`
  `TYPE_EXTENSION`
  `static final String`
  `TYPE_EXTERNALTABLE`
  `static final String`
  `TYPE_FAVORITESFOLDER`
  `static final String`
  `TYPE_FAVORITESGROUP`
  `static final String`
  `TYPE_FILE`
  `static final String`
  `TYPE_FOLDER`
  `static final String`
  `TYPE_FOLDER_SECUREDDATA`
  `static final String`
  `TYPE_FOLDER_VIRTUAL`
  `static final String`
  `TYPE_FTPSERVER`
  Deprecated.
  Use SmartTypes.TYPE_SERVER_FTP.
  `static final String`
  `TYPE_GENERATEDTRANSFORMATION`
  `static final String`
  `TYPE_GROUP`
  `static final String`
  `TYPE_HIERARCHY`
  `static final String`
  `TYPE_HTTPSERVER`
  Deprecated.
  Use SmartTypes.TYPE_SERVER_HTTP.
  `static final String`
  `TYPE_IDENTITYGROUP`
  `static final String`
  `TYPE_INDEX`
  `static final String`
  `TYPE_INFORMATIONMAP`
  `static final String`
  `TYPE_INFORMATIONMAP_OLAP`
  `static final String`
  `TYPE_INFORMATIONMAP_RELATIONAL`
  `static final String`
  `TYPE_ITEM`
  `static final String`
  `TYPE_JMSDESTINATION`
  `static final String`
  `TYPE_JOB`
  `static final String`
  `TYPE_JOB_CUBEBUILD`
  `static final String`
  `TYPE_LEVEL`
  `static final String`
  `TYPE_LIBRARY`
  `static final String`
  `TYPE_LIBRARY_BASE`
  `static final String`
  `TYPE_LIBRARY_DBMS`
  `static final String`
  `TYPE_LIBRARY_SHARE`
  `static final String`
  `TYPE_LIBRARY_SPDE`
  `static final String`
  `TYPE_LIBRARY_SPDS`
  `static final String`
  `TYPE_LIBRARY_XML`
  `static final String`
  `TYPE_LINK`
  `static final String`
  `TYPE_LOGICAL_BATCHSERVER`
  `static final String`
  `TYPE_LOGICALBATCHSERVER`
  `static final String`
  `TYPE_LOGICALGRIDSERVER`
  `static final String`
  `TYPE_LOGICALSERVER`
  `static final String`
  `TYPE_LOGICALSERVER_ABM`
  `static final String`
  `TYPE_LOGICALSERVER_FEDERATION`
  `static final String`
  `TYPE_LOGICALSERVER_FRAMEWORK`
  `static final String`
  `TYPE_LOGICALSERVER_META`
  `static final String`
  `TYPE_LOGICALSERVER_OLAP`
  `static final String`
  `TYPE_LOGICALSERVER_POOLEDWORKSPACE`
  `static final String`
  `TYPE_LOGICALSERVER_PROCESSORCHESTRATION`
  `static final String`
  `TYPE_LOGICALSERVER_STOREDPROCESS`
  `static final String`
  `TYPE_LOGICALSERVER_WORKSPACE`
  `static final String`
  `TYPE_LOGICALSERVERCONNECT`
  `static final String`
  `TYPE_LOGICALSERVERJAVA`
  `static final String`
  `TYPE_LOGICALSERVEROS`
  `static final String`
  `TYPE_LOGICALSERVERTABLE`
  `static final String`
  `TYPE_LOGIN`
  `static final String`
  `TYPE_MAP`
  `static final String`
  `TYPE_MEASURE`
  `static final String`
  `TYPE_MESSAGEQUEUE`
  `static final String`
  `TYPE_MININGRESULTS`
  `static final String`
  `TYPE_MQM_JMS`
  `static final String`
  `TYPE_MQM_MSMQ`
  `static final String`
  `TYPE_MQM_WEBSPHERE`
  `static final String`
  `TYPE_NOTE`
  `static final String`
  `TYPE_OLAPSCHEMA`
  `static final String`
  `TYPE_PACKAGE`
  `static final String`
  `TYPE_PACKAGEEVENT`
  `static final String`
  `TYPE_PERSON`
  `static final String`
  `TYPE_PERSONALREPOSITORY`
  `static final String`
  `TYPE_PHYSICALTABLE`
  `static final String`
  `TYPE_PORTALPAGE`
  `static final String`
  `TYPE_PROFILE_REPORT_DL`
  `static final String`
  `TYPE_PROJECT_AMOEXCEL`
  `static final String`
  `TYPE_PROJECT_AMOPOWERPOINT`
  `static final String`
  `TYPE_PROJECT_AMOWORD`
  `static final String`
  `TYPE_PROJECT_EG`
  `static final String`
  `TYPE_PROMPT`
  `static final String`
  `TYPE_PROMPTDEFINITION`
  Deprecated.
  Use TYPE_PROMPT for the prompt type string.
  `static final String`
  `TYPE_PROMPTGROUP`
  `static final String`
  `TYPE_PROPERTY`
  `static final String`
  `TYPE_PROPERTYGROUP`
  `static final String`
  `TYPE_PROPERTYSET`
  `static final String`
  `TYPE_PROTOTYPE`
  `static final String`
  `TYPE_PROTOTYPEPROPERTY`
  `static final String`
  `TYPE_PROXY`
  `static final String`
  `TYPE_PROXYLIST`
  `static final String`
  `TYPE_QUERYCLAUSE`
  `static final String`
  `TYPE_RELATIONALSCHEMA`
  `static final String`
  `TYPE_RELATIONALTABLE`
  `static final String`
  `TYPE_REMARKS`
  `static final String`
  `TYPE_REPORT`
  `static final String`
  `TYPE_REPORT_COMPONENT`
  `static final String`
  `TYPE_REPORT_IMAGE`
  `static final String`
  `TYPE_REPORT_STOREDPROCESS`
  `static final String`
  `TYPE_ROLE`
  `static final String`
  `TYPE_ROOTFOLDER`
  `static final String`
  `TYPE_SASCLIENTCONNECTION`
  `static final String`
  `TYPE_SASLIBRARY`
  `static final String`
  `TYPE_SEARCHFOLDER`
  `static final String`
  `TYPE_SECUREDLIBRARY`
  `static final String`
  `TYPE_SECUREDTABLE`
  `static final String`
  `TYPE_SERVER`
  `static final String`
  `TYPE_SERVER_ABM`
  `static final String`
  `TYPE_SERVER_ASTER`
  `static final String`
  `TYPE_SERVER_BATCH`
  `static final String`
  `TYPE_SERVER_BIGQUERY`
  `static final String`
  `TYPE_SERVER_CAS`
  `static final String`
  `TYPE_SERVER_DATASTEPBATCH`
  `static final String`
  `TYPE_SERVER_DB2UNIX`
  `static final String`
  `TYPE_SERVER_DB2ZOS`
  `static final String`
  `TYPE_SERVER_ESRIMAP`
  `static final String`
  `TYPE_SERVER_FEDERATION`
  `static final String`
  `TYPE_SERVER_FRAMEWORK`
  `static final String`
  `TYPE_SERVER_FTP`
  `static final String`
  `TYPE_SERVER_GREENPLUM`
  `static final String`
  `TYPE_SERVER_GRID`
  `static final String`
  `TYPE_SERVER_GRIDMONITOR`
  `static final String`
  `TYPE_SERVER_HADOOP`
  `static final String`
  `TYPE_SERVER_HANA`
  `static final String`
  `TYPE_SERVER_HAWQ`
  `static final String`
  `TYPE_SERVER_HTTP`
  `static final String`
  `TYPE_SERVER_IMPALA`
  `static final String`
  `TYPE_SERVER_INFORMIX`
  `static final String`
  `TYPE_SERVER_JAVABATCH`
  `static final String`
  `TYPE_SERVER_JDBC`
  `static final String`
  `TYPE_SERVER_LASR`
  `static final String`
  `TYPE_SERVER_LAUNCHER`
  `static final String`
  `TYPE_SERVER_META`
  `static final String`
  `TYPE_SERVER_MONGO`
  `static final String`
  `TYPE_SERVER_MQPOLLING`
  `static final String`
  `TYPE_SERVER_MSEXCEL`
  `static final String`
  `TYPE_SERVER_MSSQL`
  `static final String`
  `TYPE_SERVER_MSSQLUNIX`
  `static final String`
  `TYPE_SERVER_NEOVIEW`
  `static final String`
  `TYPE_SERVER_NETEZZA`
  `static final String`
  `TYPE_SERVER_ODBC`
  `static final String`
  `TYPE_SERVER_OLAP`
  `static final String`
  `TYPE_SERVER_OLEDB`
  `static final String`
  `TYPE_SERVER_OOZIE`
  `static final String`
  `TYPE_SERVER_OPERATINGSYSTEM`
  `static final String`
  `TYPE_SERVER_ORACLE`
  `static final String`
  `TYPE_SERVER_PI_ASSET_FRAMEWORK`
  `static final String`
  `TYPE_SERVER_PISYSTEM`
  `static final String`
  `TYPE_SERVER_PLATFORMPROCESSMANAGER`
  `static final String`
  `TYPE_SERVER_POOLEDWORKSPACE`
  `static final String`
  `TYPE_SERVER_POSTGRES`
  `static final String`
  `TYPE_SERVER_PROCESSORCHESTRATION`
  `static final String`
  `TYPE_SERVER_REDSHIFT`
  `static final String`
  `TYPE_SERVER_SALESFORCE`
  `static final String`
  `TYPE_SERVER_SAP`
  `static final String`
  `TYPE_SERVER_SASDISTRIBUTEDINPROCESS`
  `static final String`
  `TYPE_SERVER_SASINFRASTRUCTUREDATA`
  `static final String`
  `TYPE_SERVER_SASINPROCESS`
  `static final String`
  `TYPE_SERVER_SASJOBFLOWSCHEDULER`
  `static final String`
  `TYPE_SERVER_SHARE`
  `static final String`
  `TYPE_SERVER_SNOWFLAKE`
  `static final String`
  `TYPE_SERVER_SPARK`
  `static final String`
  `TYPE_SERVER_SPDS`
  `static final String`
  `TYPE_SERVER_STOREDPROCESS`
  `static final String`
  `TYPE_SERVER_SYBASE`
  `static final String`
  `TYPE_SERVER_SYBASEIQ`
  `static final String`
  `TYPE_SERVER_TERADATA`
  `static final String`
  `TYPE_SERVER_VERTICA`
  `static final String`
  `TYPE_SERVER_WORKSPACE`
  `static final String`
  `TYPE_SERVER_YELLOWBRICK`
  `static final String`
  `TYPE_SERVERCOMPONENT`
  `static final String`
  `TYPE_SERVERCONTEXT`
  `static final String`
  `TYPE_SERVICE_SOAPGENERATED`
  `static final String`
  `TYPE_SERVICETYPE`
  `static final String`
  `TYPE_SHAREDDIMENSION`
  `static final String`
  `TYPE_SOFTWARECOMPONENT`
  `static final String`
  `TYPE_SPAWNER_CONNECT`
  `static final String`
  `TYPE_SPAWNER_IOM`
  `static final String`
  `TYPE_STOREDPROCESS`
  `static final String`
  `TYPE_STOREDPROCESSALERT`
  `static final String`
  `TYPE_Subscriber`
  Deprecated.
  `static final String`
  `TYPE_SUBSCRIBER`
  `static final String`
  `TYPE_SUBSCRIBERGROUP_CONTENT`
  `static final String`
  `TYPE_SUBSCRIBERGROUP_EVENT`
  `static final String`
  `TYPE_SYNDCHANNEL`
  `static final String`
  `TYPE_TABLE`
  `static final String`
  `TYPE_TABLESERVER`
  `static final String`
  `TYPE_TCPIPCONNECTION`
  `static final String`
  `TYPE_TEMPLATEPORTALPAGE`
  `static final String`
  `TYPE_TEXTSTORE`
  `static final String`
  `TYPE_TYPEDEFINITION`
  `static final String`
  `TYPE_WARRANTYANALYSISDASHBOARD`
  `static final String`
  `TYPE_WARRANTYANALYSISTHICKCLIENT`
  `static final String`
  `TYPE_WARRANTYANALYTICREPORT`
  `static final String`
  `TYPE_WARRANTYDATASELECTION`
  `static final String`
  `TYPE_WARRANTYPROJECT`
  `static final String`
  `TYPE_WEBAPPLICATION`

- ## Field Details

  - ### TYPE_ABSTRACTPROPERTY

    static final String TYPE_ABSTRACTPROPERTY
    See Also:
      - Constant Field Values

  - ### TYPE_ACCESSCONTROLENTRY

    static final String TYPE_ACCESSCONTROLENTRY
    See Also:
      - Constant Field Values

  - ### TYPE_ANALYTICTABLE

    static final String TYPE_ANALYTICTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_ASSOCIATIONPROPERTY

    static final String TYPE_ASSOCIATIONPROPERTY
    See Also:
      - Constant Field Values

  - ### TYPE_ATTRIBUTEPROPERTY

    static final String TYPE_ATTRIBUTEPROPERTY
    See Also:
      - Constant Field Values

  - ### TYPE_CLASSIFIER

    static final String TYPE_CLASSIFIER
    See Also:
      - Constant Field Values

  - ### TYPE_COMCONNECTION

    static final String TYPE_COMCONNECTION
    See Also:
      - Constant Field Values

  - ### TYPE_CONFIGURATIONTEXTSTORE

    static final String TYPE_CONFIGURATIONTEXTSTORE
    See Also:
      - Constant Field Values

  - ### TYPE_CONNECTION

    static final String TYPE_CONNECTION
    See Also:
      - Constant Field Values

  - ### TYPE_CONNECTSERVER

    static final String TYPE_CONNECTSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_CONTENT

    static final String TYPE_CONTENT
    See Also:
      - Constant Field Values

  - ### TYPE_DATABASECATALOG

    static final String TYPE_DATABASECATALOG
    See Also:
      - Constant Field Values

  - ### TYPE_DATABASESCHEMA

    static final String TYPE_DATABASESCHEMA
    See Also:
      - Constant Field Values

  - ### TYPE_DATATABLE

    static final String TYPE_DATATABLE
    See Also:
      - Constant Field Values

  - ### TYPE_DEPLOYEDDATAPACKAGE

    static final String TYPE_DEPLOYEDDATAPACKAGE
    See Also:
      - Constant Field Values

  - ### TYPE_DIRECTORY

    static final String TYPE_DIRECTORY
    See Also:
      - Constant Field Values

  - ### TYPE_EVENT

    static final String TYPE_EVENT
    See Also:
      - Constant Field Values

  - ### TYPE_EXTENSION

    static final String TYPE_EXTENSION
    See Also:
      - Constant Field Values

  - ### TYPE_FILE

    static final String TYPE_FILE
    See Also:
      - Constant Field Values

  - ### TYPE_GROUP

    static final String TYPE_GROUP
    See Also:
      - Constant Field Values

  - ### TYPE_ITEM

    static final String TYPE_ITEM
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER

    static final String TYPE_LOGICALSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_OLAP

    static final String TYPE_LOGICALSERVER_OLAP
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVERCONNECT

    static final String TYPE_LOGICALSERVERCONNECT
    See Also:
      - Constant Field Values

  - ### TYPE_LOGIN

    static final String TYPE_LOGIN
    See Also:
      - Constant Field Values

  - ### TYPE_MAP

    static final String TYPE_MAP
    See Also:
      - Constant Field Values

  - ### TYPE_PACKAGE

    static final String TYPE_PACKAGE
    See Also:
      - Constant Field Values

  - ### TYPE_PACKAGEEVENT

    static final String TYPE_PACKAGEEVENT
    See Also:
      - Constant Field Values

  - ### TYPE_PERSONALREPOSITORY

    static final String TYPE_PERSONALREPOSITORY
    See Also:
      - Constant Field Values

  - ### TYPE_PHYSICALTABLE

    static final String TYPE_PHYSICALTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_PORTALPAGE

    static final String TYPE_PORTALPAGE
    See Also:
      - Constant Field Values

  - ### TYPE_TEMPLATEPORTALPAGE

    static final String TYPE_TEMPLATEPORTALPAGE
    See Also:
      - Constant Field Values

  - ### TYPE_LINK

    static final String TYPE_LINK
    See Also:
      - Constant Field Values

  - ### TYPE_WEBAPPLICATION

    static final String TYPE_WEBAPPLICATION
    See Also:
      - Constant Field Values

  - ### TYPE_SYNDCHANNEL

    static final String TYPE_SYNDCHANNEL
    See Also:
      - Constant Field Values

  - ### TYPE_TABLESERVER

    static final String TYPE_TABLESERVER
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVERTABLE

    static final String TYPE_LOGICALSERVERTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVEROS

    static final String TYPE_LOGICALSERVEROS
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVERJAVA

    static final String TYPE_LOGICALSERVERJAVA
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALBATCHSERVER

    static final String TYPE_LOGICALBATCHSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICAL_BATCHSERVER

    static final String TYPE_LOGICAL_BATCHSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_BATCH

    static final String TYPE_SERVER_BATCH
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALGRIDSERVER

    static final String TYPE_LOGICALGRIDSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_FEDERATION

    static final String TYPE_LOGICALSERVER_FEDERATION
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_FEDERATION

    static final String TYPE_SERVER_FEDERATION
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_FRAMEWORK

    static final String TYPE_LOGICALSERVER_FRAMEWORK
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_FRAMEWORK

    static final String TYPE_SERVER_FRAMEWORK
    See Also:
      - Constant Field Values

  - ### TYPE_COLUMN_HIERARCHY

    static final String TYPE_COLUMN_HIERARCHY
    See Also:
      - Constant Field Values

  - ### TYPE_PROMPTDEFINITION

    static final String TYPE_PROMPTDEFINITION
    Deprecated.
    Use TYPE_PROMPT for the prompt type string.
    See Also:
      - Constant Field Values

  - ### TYPE_PROPERTY

    static final String TYPE_PROPERTY
    See Also:
      - Constant Field Values

  - ### TYPE_PROPERTYGROUP

    static final String TYPE_PROPERTYGROUP
    See Also:
      - Constant Field Values

  - ### TYPE_PROPERTYSET

    static final String TYPE_PROPERTYSET
    See Also:
      - Constant Field Values

  - ### TYPE_PROTOTYPE

    static final String TYPE_PROTOTYPE
    See Also:
      - Constant Field Values

  - ### TYPE_PROTOTYPEPROPERTY

    static final String TYPE_PROTOTYPEPROPERTY
    See Also:
      - Constant Field Values

  - ### TYPE_QUERYCLAUSE

    static final String TYPE_QUERYCLAUSE
    See Also:
      - Constant Field Values

  - ### TYPE_RELATIONALSCHEMA

    static final String TYPE_RELATIONALSCHEMA
    See Also:
      - Constant Field Values

  - ### TYPE_RELATIONALTABLE

    static final String TYPE_RELATIONALTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_REMARKS

    static final String TYPE_REMARKS
    See Also:
      - Constant Field Values

  - ### TYPE_SASCLIENTCONNECTION

    static final String TYPE_SASCLIENTCONNECTION
    See Also:
      - Constant Field Values

  - ### TYPE_SASLIBRARY

    static final String TYPE_SASLIBRARY
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER

    static final String TYPE_SERVER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_META

    static final String TYPE_SERVER_META
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_META

    static final String TYPE_LOGICALSERVER_META
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_OLAP

    static final String TYPE_SERVER_OLAP
    See Also:
      - Constant Field Values

  - ### TYPE_SERVERCOMPONENT

    static final String TYPE_SERVERCOMPONENT
    See Also:
      - Constant Field Values

  - ### TYPE_SERVERCONTEXT

    static final String TYPE_SERVERCONTEXT
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICETYPE

    static final String TYPE_SERVICETYPE
    See Also:
      - Constant Field Values

  - ### TYPE_SOFTWARECOMPONENT

    static final String TYPE_SOFTWARECOMPONENT
    See Also:
      - Constant Field Values

  - ### TYPE_STOREDPROCESSALERT

    static final String TYPE_STOREDPROCESSALERT
    See Also:
      - Constant Field Values

  - ### TYPE_SUBSCRIBER

    static final String TYPE_SUBSCRIBER
    See Also:
      - Constant Field Values

  - ### TYPE_Subscriber

    @Deprecated static final String TYPE_Subscriber
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TYPE_TCPIPCONNECTION

    static final String TYPE_TCPIPCONNECTION
    See Also:
      - Constant Field Values

  - ### TYPE_TEXTSTORE

    static final String TYPE_TEXTSTORE
    See Also:
      - Constant Field Values

  - ### TYPE_WARRANTYANALYSISDASHBOARD

    static final String TYPE_WARRANTYANALYSISDASHBOARD
    See Also:
      - Constant Field Values

  - ### TYPE_WARRANTYANALYSISTHICKCLIENT

    static final String TYPE_WARRANTYANALYSISTHICKCLIENT
    See Also:
      - Constant Field Values

  - ### TYPE_WARRANTYANALYTICREPORT

    static final String TYPE_WARRANTYANALYTICREPORT
    See Also:
      - Constant Field Values

  - ### TYPE_WARRANTYDATASELECTION

    static final String TYPE_WARRANTYDATASELECTION
    See Also:
      - Constant Field Values

  - ### TYPE_WARRANTYPROJECT

    static final String TYPE_WARRANTYPROJECT
    See Also:
      - Constant Field Values

  - ### TYPE_ACT

    static final String TYPE_ACT
    See Also:
      - Constant Field Values

  - ### TYPE_ACTION

    static final String TYPE_ACTION
    See Also:
      - Constant Field Values

  - ### TYPE_APPLICATION

    static final String TYPE_APPLICATION
    See Also:
      - Constant Field Values

  - ### TYPE_APPLICATIONSERVER

    static final String TYPE_APPLICATIONSERVER
    See Also:
      - Constant Field Values

  - ### TYPE_AUTHENTICATIONDOMAIN

    static final String TYPE_AUTHENTICATIONDOMAIN
    See Also:
      - Constant Field Values

  - ### TYPE_BOOKMARK

    static final String TYPE_BOOKMARK
    See Also:
      - Constant Field Values

  - ### TYPE_FAVORITESFOLDER

    static final String TYPE_FAVORITESFOLDER
    See Also:
      - Constant Field Values

  - ### TYPE_FAVORITESGROUP

    static final String TYPE_FAVORITESGROUP
    See Also:
      - Constant Field Values

  - ### TYPE_BURSTDEFINITION

    static final String TYPE_BURSTDEFINITION
    See Also:
      - Constant Field Values

  - ### TYPE_CALCULATEDMEASURE

    static final String TYPE_CALCULATEDMEASURE
    See Also:
      - Constant Field Values

  - ### TYPE_CHANNEL

    static final String TYPE_CHANNEL
    See Also:
      - Constant Field Values

  - ### TYPE_COLUMN

    static final String TYPE_COLUMN
    See Also:
      - Constant Field Values

  - ### TYPE_CONDITION

    static final String TYPE_CONDITION
    See Also:
      - Constant Field Values

  - ### TYPE_CONDITIONACTIONSET

    static final String TYPE_CONDITIONACTIONSET
    See Also:
      - Constant Field Values

  - ### TYPE_CONTENTSUBSCRIBER

    static final String TYPE_CONTENTSUBSCRIBER
    See Also:
      - Constant Field Values

  - ### TYPE_CUBE

    static final String TYPE_CUBE
    See Also:
      - Constant Field Values

  - ### TYPE_DATAEXPLORATION

    static final String TYPE_DATAEXPLORATION
    See Also:
      - Constant Field Values

  - ### TYPE_DEPLOYEDFLOW

    static final String TYPE_DEPLOYEDFLOW
    See Also:
      - Constant Field Values

  - ### TYPE_DEPLOYEDJOB

    static final String TYPE_DEPLOYEDJOB
    See Also:
      - Constant Field Values

  - ### TYPE_DIMENSION

    static final String TYPE_DIMENSION
    See Also:
      - Constant Field Values

  - ### TYPE_DIRECTIVE_DL

    static final String TYPE_DIRECTIVE_DL
    See Also:
      - Constant Field Values

  - ### TYPE_DOCUMENT

    static final String TYPE_DOCUMENT
    See Also:
      - Constant Field Values

  - ### TYPE_EVENTSUBSCRIBER

    static final String TYPE_EVENTSUBSCRIBER
    See Also:
      - Constant Field Values

  - ### TYPE_EXTERNALTABLE

    static final String TYPE_EXTERNALTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_FOLDER

    static final String TYPE_FOLDER
    See Also:
      - Constant Field Values

  - ### TYPE_FOLDER_SECUREDDATA

    static final String TYPE_FOLDER_SECUREDDATA
    See Also:
      - Constant Field Values

  - ### TYPE_FOLDER_VIRTUAL

    static final String TYPE_FOLDER_VIRTUAL
    See Also:
      - Constant Field Values

  - ### TYPE_GENERATEDTRANSFORMATION

    static final String TYPE_GENERATEDTRANSFORMATION
    See Also:
      - Constant Field Values

  - ### TYPE_HIERARCHY

    static final String TYPE_HIERARCHY
    See Also:
      - Constant Field Values

  - ### TYPE_INDEX

    static final String TYPE_INDEX
    See Also:
      - Constant Field Values

  - ### TYPE_INFORMATIONMAP

    static final String TYPE_INFORMATIONMAP
    See Also:
      - Constant Field Values

  - ### TYPE_INFORMATIONMAP_OLAP

    static final String TYPE_INFORMATIONMAP_OLAP
    See Also:
      - Constant Field Values

  - ### TYPE_INFORMATIONMAP_RELATIONAL

    static final String TYPE_INFORMATIONMAP_RELATIONAL
    See Also:
      - Constant Field Values

  - ### TYPE_JOB

    static final String TYPE_JOB
    See Also:
      - Constant Field Values

  - ### TYPE_JOB_CUBEBUILD

    static final String TYPE_JOB_CUBEBUILD
    See Also:
      - Constant Field Values

  - ### TYPE_LEVEL

    static final String TYPE_LEVEL
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY

    static final String TYPE_LIBRARY
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_BASE

    static final String TYPE_LIBRARY_BASE
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_DBMS

    static final String TYPE_LIBRARY_DBMS
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_SHARE

    static final String TYPE_LIBRARY_SHARE
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_SPDE

    static final String TYPE_LIBRARY_SPDE
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_SPDS

    static final String TYPE_LIBRARY_SPDS
    See Also:
      - Constant Field Values

  - ### TYPE_LIBRARY_XML

    static final String TYPE_LIBRARY_XML
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_POOLEDWORKSPACE

    static final String TYPE_LOGICALSERVER_POOLEDWORKSPACE
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_STOREDPROCESS

    static final String TYPE_LOGICALSERVER_STOREDPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_WORKSPACE

    static final String TYPE_LOGICALSERVER_WORKSPACE
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_PROCESSORCHESTRATION

    static final String TYPE_LOGICALSERVER_PROCESSORCHESTRATION
    See Also:
      - Constant Field Values

  - ### TYPE_LOGICALSERVER_ABM

    static final String TYPE_LOGICALSERVER_ABM
    See Also:
      - Constant Field Values

  - ### TYPE_MEASURE

    static final String TYPE_MEASURE
    See Also:
      - Constant Field Values

  - ### TYPE_MESSAGEQUEUE

    static final String TYPE_MESSAGEQUEUE
    See Also:
      - Constant Field Values

  - ### TYPE_JMSDESTINATION

    static final String TYPE_JMSDESTINATION
    See Also:
      - Constant Field Values

  - ### TYPE_MININGRESULTS

    static final String TYPE_MININGRESULTS
    See Also:
      - Constant Field Values

  - ### TYPE_MQM_MSMQ

    static final String TYPE_MQM_MSMQ
    See Also:
      - Constant Field Values

  - ### TYPE_MQM_WEBSPHERE

    static final String TYPE_MQM_WEBSPHERE
    See Also:
      - Constant Field Values

  - ### TYPE_MQM_JMS

    static final String TYPE_MQM_JMS
    See Also:
      - Constant Field Values

  - ### TYPE_NOTE

    static final String TYPE_NOTE
    See Also:
      - Constant Field Values

  - ### TYPE_OLAPSCHEMA

    static final String TYPE_OLAPSCHEMA
    See Also:
      - Constant Field Values

  - ### TYPE_PROFILE_REPORT_DL

    static final String TYPE_PROFILE_REPORT_DL
    See Also:
      - Constant Field Values

  - ### TYPE_PROJECT_AMOEXCEL

    static final String TYPE_PROJECT_AMOEXCEL
    See Also:
      - Constant Field Values

  - ### TYPE_PROJECT_AMOPOWERPOINT

    static final String TYPE_PROJECT_AMOPOWERPOINT
    See Also:
      - Constant Field Values

  - ### TYPE_PROJECT_AMOWORD

    static final String TYPE_PROJECT_AMOWORD
    See Also:
      - Constant Field Values

  - ### TYPE_PROJECT_EG

    static final String TYPE_PROJECT_EG
    See Also:
      - Constant Field Values

  - ### TYPE_PROMPT

    static final String TYPE_PROMPT
    See Also:
      - Constant Field Values

  - ### TYPE_PROMPTGROUP

    static final String TYPE_PROMPTGROUP
    See Also:
      - Constant Field Values

  - ### TYPE_REPORT

    static final String TYPE_REPORT
    See Also:
      - Constant Field Values

  - ### TYPE_REPORT_IMAGE

    static final String TYPE_REPORT_IMAGE
    See Also:
      - Constant Field Values

  - ### TYPE_REPORT_COMPONENT

    static final String TYPE_REPORT_COMPONENT
    See Also:
      - Constant Field Values

  - ### TYPE_REPORT_STOREDPROCESS

    static final String TYPE_REPORT_STOREDPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_ROLE

    static final String TYPE_ROLE
    See Also:
      - Constant Field Values

  - ### TYPE_ROOTFOLDER

    static final String TYPE_ROOTFOLDER
    See Also:
      - Constant Field Values

  - ### TYPE_SEARCHFOLDER

    static final String TYPE_SEARCHFOLDER
    See Also:
      - Constant Field Values

  - ### TYPE_SECUREDLIBRARY

    static final String TYPE_SECUREDLIBRARY
    See Also:
      - Constant Field Values

  - ### TYPE_SECUREDTABLE

    static final String TYPE_SECUREDTABLE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_MQPOLLING

    static final String TYPE_SERVER_MQPOLLING
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_POOLEDWORKSPACE

    static final String TYPE_SERVER_POOLEDWORKSPACE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_PROCESSORCHESTRATION

    static final String TYPE_SERVER_PROCESSORCHESTRATION
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_STOREDPROCESS

    static final String TYPE_SERVER_STOREDPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_WORKSPACE

    static final String TYPE_SERVER_WORKSPACE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SHARE

    static final String TYPE_SERVER_SHARE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_JAVABATCH

    static final String TYPE_SERVER_JAVABATCH
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_DATASTEPBATCH

    static final String TYPE_SERVER_DATASTEPBATCH
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_GRID

    static final String TYPE_SERVER_GRID
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_GRIDMONITOR

    static final String TYPE_SERVER_GRIDMONITOR
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SPDS

    static final String TYPE_SERVER_SPDS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_ABM

    static final String TYPE_SERVER_ABM
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_SOAPGENERATED

    static final String TYPE_SERVICE_SOAPGENERATED
    See Also:
      - Constant Field Values

  - ### TYPE_SHAREDDIMENSION

    static final String TYPE_SHAREDDIMENSION
    See Also:
      - Constant Field Values

  - ### TYPE_SPAWNER_IOM

    static final String TYPE_SPAWNER_IOM
    See Also:
      - Constant Field Values

  - ### TYPE_SPAWNER_CONNECT

    static final String TYPE_SPAWNER_CONNECT
    See Also:
      - Constant Field Values

  - ### TYPE_STOREDPROCESS

    static final String TYPE_STOREDPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_SUBSCRIBERGROUP_CONTENT

    static final String TYPE_SUBSCRIBERGROUP_CONTENT
    See Also:
      - Constant Field Values

  - ### TYPE_SUBSCRIBERGROUP_EVENT

    static final String TYPE_SUBSCRIBERGROUP_EVENT
    See Also:
      - Constant Field Values

  - ### TYPE_TABLE

    static final String TYPE_TABLE
    See Also:
      - Constant Field Values

  - ### TYPE_PERSON

    static final String TYPE_PERSON
    See Also:
      - Constant Field Values

  - ### TYPE_IDENTITYGROUP

    static final String TYPE_IDENTITYGROUP
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_ASTER

    static final String TYPE_SERVER_ASTER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_CAS

    static final String TYPE_SERVER_CAS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_DB2UNIX

    static final String TYPE_SERVER_DB2UNIX
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_DB2ZOS

    static final String TYPE_SERVER_DB2ZOS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_GREENPLUM

    static final String TYPE_SERVER_GREENPLUM
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_HANA

    static final String TYPE_SERVER_HANA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_HAWQ

    static final String TYPE_SERVER_HAWQ
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_IMPALA

    static final String TYPE_SERVER_IMPALA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_INFORMIX

    static final String TYPE_SERVER_INFORMIX
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_LASR

    static final String TYPE_SERVER_LASR
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_MSEXCEL

    static final String TYPE_SERVER_MSEXCEL
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_MSSQLUNIX

    static final String TYPE_SERVER_MSSQLUNIX
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_MSSQL

    static final String TYPE_SERVER_MSSQL
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_NEOVIEW

    static final String TYPE_SERVER_NEOVIEW
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_NETEZZA

    static final String TYPE_SERVER_NETEZZA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_ODBC

    static final String TYPE_SERVER_ODBC
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_OLEDB

    static final String TYPE_SERVER_OLEDB
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_ORACLE

    static final String TYPE_SERVER_ORACLE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_PISYSTEM

    static final String TYPE_SERVER_PISYSTEM
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_PI_ASSET_FRAMEWORK

    static final String TYPE_SERVER_PI_ASSET_FRAMEWORK
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SYBASEIQ

    static final String TYPE_SERVER_SYBASEIQ
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SYBASE

    static final String TYPE_SERVER_SYBASE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_TERADATA

    static final String TYPE_SERVER_TERADATA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SASINFRASTRUCTUREDATA

    static final String TYPE_SERVER_SASINFRASTRUCTUREDATA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_POSTGRES

    static final String TYPE_SERVER_POSTGRES
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_REDSHIFT

    static final String TYPE_SERVER_REDSHIFT
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_VERTICA

    static final String TYPE_SERVER_VERTICA
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_JDBC

    static final String TYPE_SERVER_JDBC
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SALESFORCE

    static final String TYPE_SERVER_SALESFORCE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_MONGO

    static final String TYPE_SERVER_MONGO
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_BIGQUERY

    static final String TYPE_SERVER_BIGQUERY
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SNOWFLAKE

    static final String TYPE_SERVER_SNOWFLAKE
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_YELLOWBRICK

    static final String TYPE_SERVER_YELLOWBRICK
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SPARK

    static final String TYPE_SERVER_SPARK
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_PLATFORMPROCESSMANAGER

    static final String TYPE_SERVER_PLATFORMPROCESSMANAGER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SASJOBFLOWSCHEDULER

    static final String TYPE_SERVER_SASJOBFLOWSCHEDULER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_LAUNCHER

    static final String TYPE_SERVER_LAUNCHER
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SASDISTRIBUTEDINPROCESS

    static final String TYPE_SERVER_SASDISTRIBUTEDINPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SASINPROCESS

    static final String TYPE_SERVER_SASINPROCESS
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_OPERATINGSYSTEM

    static final String TYPE_SERVER_OPERATINGSYSTEM
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_OOZIE

    static final String TYPE_SERVER_OOZIE
    See Also:
      - Constant Field Values

  - ### TYPE_TYPEDEFINITION

    static final String TYPE_TYPEDEFINITION
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_HADOOP

    static final String TYPE_SERVER_HADOOP
    See Also:
      - Constant Field Values

  - ### TYPE_ESRIMAPSERVER

    static final String TYPE_ESRIMAPSERVER
    Deprecated.
    Use SmartTypes.TYPE_SERVER_ESRIMAP.
    See Also:
      - Constant Field Values

  - ### TYPE_HTTPSERVER

    static final String TYPE_HTTPSERVER
    Deprecated.
    Use SmartTypes.TYPE_SERVER_HTTP.
    See Also:
      - Constant Field Values

  - ### TYPE_FTPSERVER

    static final String TYPE_FTPSERVER
    Deprecated.
    Use SmartTypes.TYPE_SERVER_FTP.
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_ESRIMAP

    static final String TYPE_SERVER_ESRIMAP
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_HTTP

    static final String TYPE_SERVER_HTTP
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_FTP

    static final String TYPE_SERVER_FTP
    See Also:
      - Constant Field Values

  - ### TYPE_SERVER_SAP

    static final String TYPE_SERVER_SAP
    See Also:
      - Constant Field Values

  - ### PREFIX_EMBEDDED

    static final String PREFIX_EMBEDDED
    See Also:
      - Constant Field Values

  - ### SUBTYPE_SEPARATOR

    static final String SUBTYPE_SEPARATOR
    See Also:
      - Constant Field Values

  - ### TYPE_PROXYLIST

    static final String TYPE_PROXYLIST
    See Also:
      - Constant Field Values

  - ### TYPE_PROXY

    static final String TYPE_PROXY
    See Also:
      - Constant Field Values